#!/bin/sh

mkdir Brazilian_Portuguese_Literature_Corpus && cd "$_"

unzip ../Brazilian_Portuguese_Literature_Corpus.zip

mkdir utf8

for f in Brazilian_Portugese_Corpus/*.txt; do iconv -f cp1252 "$f" >utf8/"${f:0:${#file}-4}".u.txt; done

for file in utf8/*; do cat "$file"; echo; done >all_corpus1.txt

python3 ../histogram2.py all_corpus1.txt >all_corpus1.hist.txt

sort -nr all_corpus1.hist.txt >all_corpus1.hists.txt

for word in $(cat ../hard_words1.txt ); do grep " $word"'$' all_corpus1.hists.txt; done >hard_words_count1.txt

for word in $(cat ../hard_words1.txt ); do grep " $word"'$' all_corpus1.hists.txt >/dev/null || echo "$word"; done >../hard_words_new.txt

for word in $(cat ../hard_words_new.txt ); do echo "$word"; zgrep "$word" ~/src/eng-por/eng-por.dict.dz; echo '--------'; done

sort -nr hard_words_count1.txt >hard_words_count1.s.txt
